 
void acetoneiso::compress()
{
QDir bin("/usr/bin");
QFile pzip;
QDir::setCurrent( bin.path() );
pzip.setFileName("7z");

if (pzip.exists())
{
 QDir Home = QDir::home();
QString dacomprimere = QFileDialog::getOpenFileName(this,tr("AcetoneISO2::Select Image to compress"), Home.path(), tr("Image Files (*.iso *.daa *.bin *.mdf *.ashdisc *.bwi *.b5i *.lcd *.img *.cdi *.cif *.p01 *.pdi *.nrg *.ncd *.pxi *.gi *.fcd *.vcd *.c2d)"));
	if (!dacomprimere.isEmpty() )
		{
		 QString fileName = QFileDialog::getSaveFileName(this, tr("AcetoneISO2::Save Compressed Image"),
										Home.path() + "/Acetone_Compressed",
										tr("Images (*.7z)"));
		if ( fileName.isNull() )
			{
			}
			else
			{
		 fileName.append(".7z");
			QMessageBox msgBox;
			msgBox.setText(tr("Do You want to compress in Ultra High mode? (very slow)"));
			msgBox.setStandardButtons(QMessageBox::Yes | QMessageBox::No);
		switch (msgBox.exec()) {
				case QMessageBox::Yes:
					{
					 PZip.start("7z",QStringList() <<  "a" << "-t7z" << "-m0=lzma" << "-mx=9" << "-mfb=64" << "-md=32m" << "-ms=on" << fileName << dacomprimere );
					 progBarra();
					}
					break;
				case QMessageBox::No:
					{
					 PZip.start("7z",QStringList() <<  "a" << "-t7z" << "-m0=lzma" << "-mx=4" << "-mfb=32" << "-md=4m" << "-ms=on" << fileName << dacomprimere );
					 progBarra();
					}
				break;
				default:
				// should never be reached
				break;
					}
			
			}
		}

}
else
QMessageBox::warning(this, "AcetoneISO2::Warning!",tr("no 7z found in /usr/bin"));

}
